> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pismo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create reissue reason

Create a new reissue reason.

All fields are required when creating a new reason.


# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Card issuing - Cards",
    "version": "1.4.6",
    "description": "Card endpoints API",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io",
      "description": "Sandbox API server for testing."
    },
    {
      "url": "https://gw-pci.pismolabs.io",
      "description": "Sandbox PCI API server for testing."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Card reissue",
      "description": "Card reissue endpoints"
    }
  ],
  "components": {
    "schemas": {
      "CreateReasonRequest": {
        "type": "object",
        "required": [
          "description",
          "must_block",
          "must_charge",
          "cost",
          "type",
          "enabled"
        ],
        "properties": {
          "description": {
            "$ref": "#/components/schemas/ReissueDescription"
          },
          "must_block": {
            "$ref": "#/components/schemas/MustBlock"
          },
          "must_charge": {
            "$ref": "#/components/schemas/MustCharge"
          },
          "cost": {
            "$ref": "#/components/schemas/ReissueCost"
          },
          "type": {
            "$ref": "#/components/schemas/ReissueType"
          },
          "enabled": {
            "$ref": "#/components/schemas/ReissueEnabled"
          }
        }
      },
      "MustBlock": {
        "type": "boolean",
        "description": "Should a `PLASTIC` card be canceled upon reissue or can it be used until the new card is activated?\n\n `VIRTUAL` cards are automatically canceled when reissued, regardless of this setting.\n",
        "example": true
      },
      "MustCharge": {
        "type": "boolean",
        "description": "Should the reissue be charged?\n\n This field is information only as only issuers can make debit entries to a customer's account.\n",
        "example": true
      },
      "ReissueCost": {
        "type": "number",
        "description": "Reissue card cost",
        "example": 20.5
      },
      "ReissueDescription": {
        "type": "string",
        "minLength": 1,
        "maxLength": 255,
        "description": "Reissue reason description",
        "example": "Card was lost by the customer"
      },
      "ReissueEnabled": {
        "type": "boolean",
        "description": "Is reason active?\n\n This field is for information only and allows the issuer to provide only active reasons for re-issuance.\n",
        "example": true
      },
      "ReasonId": {
        "type": "integer",
        "description": "Reissue reason identifier. You can get reason IDs using the [List reissue reasons](https://developers.pismo.io/pismo-docs/reference/get-reissue-reasons) endpoint. The `must_block` flag comes from the reissue reason object. \n",
        "example": 123
      },
      "ReasonResponse": {
        "type": "object",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/ReasonId"
          },
          "description": {
            "$ref": "#/components/schemas/ReissueDescription"
          },
          "must_block": {
            "$ref": "#/components/schemas/MustBlock"
          },
          "must_charge": {
            "$ref": "#/components/schemas/MustCharge"
          },
          "cost": {
            "$ref": "#/components/schemas/ReissueCost"
          },
          "type": {
            "$ref": "#/components/schemas/ReissueType"
          },
          "enabled": {
            "$ref": "#/components/schemas/ReissueEnabled"
          }
        }
      },
      "ReissueType": {
        "type": "string",
        "description": "Issuer-defined reissue reason enum"
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.",
        "bearerFormat": "JWT"
      }
    },
    "responses": {
      "400BadRequest": {
        "description": "Bad Request"
      },
      "401Unauthorized": {
        "description": "Access token is missing or invalid"
      },
      "500InternalServer": {
        "description": "Internal server error"
      }
    }
  },
  "paths": {
    "/cards/v1/reissue/reasons": {
      "post": {
        "summary": "Create reissue reason",
        "description": "Create a new reissue reason.\n\nAll fields are required when creating a new reason.\n",
        "operationId": "create-reissue-reason",
        "tags": [
          "Card reissue"
        ],
        "requestBody": {
          "description": "Request body",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateReasonRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Created",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ReasonResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServer"
          }
        }
      }
    }
  }
}
```